NX Open C++ Reference Guide
|
Represents Post-Processing
To obtain an instance of this class, refer to Session
Created in NX5.0.0.
More...
Classes | |
struct | Animation |
Animation settings. More... | |
struct | AnimationStreamline |
Animation settings for streamline animation. More... | |
struct | AnnotationBox |
Annotation box display settings. More... | |
struct | ASCIIDiffTolerances |
Tolerances used for comparing postview ASCII display files. More... | |
struct | Axisymmetric |
3D Axi-symmetric model display settings More... | |
struct | Clipping |
Cutting-plane display settings. More... | |
struct | Colorbar |
Colorbar settings. More... | |
struct | EdgeFace |
Edge and Face display settings. More... | |
struct | GraphIds |
Graph handle. More... | |
struct | GraphParameters |
Graph extraction parameters. More... | |
struct | Headerlines |
Headerlines. More... | |
struct | Mark |
Mark display settings. More... | |
struct | Streamline |
Streamline display settings. More... | |
struct | StreamlineData |
Streamline data extraction parameters. More... | |
struct | StreamlineExtraction |
Streamline extraction parameters. More... | |
struct | StreamlineSeed |
Streamline seed point definition. More... | |
struct | Text |
Annotation text settings. More... | |
Public Member Functions | |
NXString | CompareDisplayFiles (const NXString &benchmarkFileName, const NXString &testFileName, const NXOpen::CAE::Post::ASCIIDiffTolerances &tolerances) |
Utility to compare post ascii files. | |
NXString | CompareDisplayFiles (const char *benchmarkFileName, const char *testFileName, const NXOpen::CAE::Post::ASCIIDiffTolerances &tolerances) |
Utility to compare post ascii files. | |
NXOpen::CAE::PostAnnotation * | CreateAnnotation (int postviewId, const NXString &name, int num, bool max, const std::vector< NXString > &usertext) |
Creates min/max annotation object. | |
NXOpen::CAE::PostAnnotation * | CreateAnnotation (int postviewId, const char *name, int num, bool max, const std::vector< NXString > &usertext) |
Creates min/max annotation object. | |
NXOpen::CAE::PostAnnotation * | CreateAnnotation (int postviewId, const NXString &name, const std::vector< int > &entities, const std::vector< int > &subEntities, const std::vector< NXString > &usertext) |
Creates entity annotation object. | |
NXOpen::CAE::PostAnnotation * | CreateAnnotation (int postviewId, const char *name, const std::vector< int > &entities, const std::vector< int > &subEntities, const std::vector< NXString > &usertext) |
Creates entity annotation object. | |
NXOpen::CAE::PostAnnotation * | CreateAnnotation (int postviewId, const NXString &name, const std::vector< int > &elements, const std::vector< int > &nodes, const std::vector< int > &elmedgeface, const std::vector< NXString > &usertext) |
Creates entity annotation object. | |
NXOpen::CAE::PostAnnotation * | CreateAnnotation (int postviewId, const char *name, const std::vector< int > &elements, const std::vector< int > &nodes, const std::vector< int > &elmedgeface, const std::vector< NXString > &usertext) |
Creates entity annotation object. | |
NXOpen::CAE::PostAnnotation * | CreateAnnotation (int postviewId, const NXString &name, double xcoord, double ycoord, const std::vector< NXString > &usertext) |
Creates user location box annotation object. | |
NXOpen::CAE::PostAnnotation * | CreateAnnotation (int postviewId, const char *name, double xcoord, double ycoord, const std::vector< NXString > &usertext) |
Creates user location box annotation object. | |
int | CreateCrossSectionViewForResult (int viewIndex, int resultId, NXOpen::CAE::CrossSectionParameters *result) |
Create a new cross-section view with specified result on a loaded result id. | |
NXOpen::CAE::Post::GraphIds | CreateHistoryGraph (int postviewId, const NXString &name, const NXOpen::CAE::Post::GraphParameters &graph, int startIteration, int endIteration, int iterationIncrement, int nodeLabel, const std::vector< double > &point) |
Create a graph by extracting data from the input postview id, at the input node label or point, for the input iterations. | |
NXOpen::CAE::Post::GraphIds | CreateHistoryGraph (int postviewId, const char *name, const NXOpen::CAE::Post::GraphParameters &graph, int startIteration, int endIteration, int iterationIncrement, int nodeLabel, const std::vector< double > &point) |
Create a graph by extracting data from the input postview id, at the input node label or point, for the input iterations. | |
int | CreatePathFromElemIds (int postviewId, const NXString &name, const std::vector< int > &elemIds) |
Create a path from an ordered set of element ids on the input postview id. | |
int | CreatePathFromElemIds (int postviewId, const char *name, const std::vector< int > &elemIds) |
Create a path from an ordered set of element ids on the input postview id. | |
int | CreatePathFromNodeIds (int postviewId, const NXString &name, const std::vector< int > &nodeIds) |
Create a path from an ordered set of node ids on the input postview id. | |
int | CreatePathFromNodeIds (int postviewId, const char *name, const std::vector< int > &nodeIds) |
Create a path from an ordered set of node ids on the input postview id. | |
int | CreatePathFromPoints (int postviewId, const NXString &name, const std::vector< double > &points, int numberOfInsertPointsPerSegment) |
Create a path from an ordered set of points on the input postview id. | |
int | CreatePathFromPoints (int postviewId, const char *name, const std::vector< double > &points, int numberOfInsertPointsPerSegment) |
Create a path from an ordered set of points on the input postview id. | |
int | CreatePostview (int viewIndex, int resultId, bool overlay) |
Create a new post view with default settings on a loaded result id. | |
int | CreatePostview (int viewIndex, NXOpen::CAE::Result *result, bool overlay) |
Create a new post view with default settings on a loaded result id. | |
int | CreatePostviewForResult (int viewIndex, int resultId, bool overlay, const NXOpen::CAE::Result::ResultParameters &result) |
Create a new post view with specified result on a loaded result id. | |
int | CreatePostviewForResult (int viewIndex, NXOpen::CAE::Result *result, bool overlay, NXOpen::CAE::ResultParameters *resultParamter) |
Create a new post view with specified result on a loaded result id. | |
void | CreatePostviewsForResultAndSE (int viewIndex, NXOpen::CAE::Result *result, NXOpen::CAE::ResultParameters *resultParamter, std::vector< int > &postviewIds) |
Create a new post view with specified result on a loaded result id. | |
NXOpen::CAE::Post::GraphIds | CreateSpatialGraph (int postviewId, const NXString &name, const NXOpen::CAE::Post::GraphParameters &graph, int pathId) |
Create a graph by extracting data from the input postview id, along an input path id The input postview id is what was returned from CreatePostview or CreatePostviewForResult. | |
NXOpen::CAE::Post::GraphIds | CreateSpatialGraph (int postviewId, const char *name, const NXOpen::CAE::Post::GraphParameters &graph, int pathId) |
Create a graph by extracting data from the input postview id, along an input path id The input postview id is what was returned from CreatePostview or CreatePostviewForResult. | |
int | CreateStreamlineSeedSet (int postviewId, const NXString &name, const std::vector< NXOpen::CAE::Post::StreamlineSeed > &seeds) |
Create a seed set that can be used to specify the start points for streamline extraction. | |
int | CreateStreamlineSeedSet (int postviewId, const char *name, const std::vector< NXOpen::CAE::Post::StreamlineSeed > &seeds) |
Create a seed set that can be used to specify the start points for streamline extraction. | |
int | CreateUserGroupFromEntityLabels (int postviewId, NXOpen::CAE::CaeGroupCollection::EntityType entityType, const std::vector< int > &labels) |
Create a User Group using element or node labels. | |
void | CrossSectionViewSetLockRotation (int postviewId, bool lockRotation) |
Orients and disables all rotations in the input postview id. | |
void | CrossSectionViewSetResult (int postviewId, NXOpen::CAE::CrossSectionParameters *result) |
Set the result for color display in the input cross-section view id. | |
void | DeleteAllTemplates () |
Delete all loaded template xml files Created in NX5.0.0. | |
void | Deletegraphs (const std::vector< NXOpen::CAE::PostGraph * > &graphs) |
Deletes CAE::PostGraph objects Created in NX9.0.0. | |
void | DeleteViewport (int viewIndex) |
End all post processing activity in the input view port index Created in NX5.0.0. | |
void | GetAnnotations (int postviewId, std::vector< NXOpen::CAE::PostAnnotation * > &annotation) |
Gets all CAE::PostAnnotation in this post view Created in NX8.5.0. | |
std::vector< int > | GetPostviewIds () |
Returns the list of current Postview Ids. | |
void | GetResultForPostview (int postviewId, NXOpen::CAE::Result **result, NXOpen::CAE::ResultParameters **resultParamter) |
Returns the CAE::Result and a copy of the CAE::ResultParameters which define the input postview ID. | |
void | GraphDelete (const NXOpen::CAE::Post::GraphIds &graphIds) |
Delete the input graph specfied by graph_ids. | |
int | LoadImportedResult (const NXString &resultName, const NXString &fileName, const std::vector< NXOpen::Unit * > &units) |
Load an existing result file that is not associated with a solution. | |
int | LoadImportedResult (const char *resultName, const char *fileName, const std::vector< NXOpen::Unit * > &units) |
Load an existing result file that is not associated with a solution. | |
int | LoadRaEventResult (NXOpen::CAE::ResponseSimulation::RSEvent *raEvent) |
Load results for a Response analysis event. | |
int | LoadSolutionResult (NXOpen::CAE::SimSolution *solution) |
Load results for a solution. | |
NXString | LoadTemplate (const NXString &filename, const NXString &name, int *templateId) |
Loads a template xml files from user specified location. | |
NXString | LoadTemplate (const char *filename, const char *name, int *templateId) |
Loads a template xml files from user specified location. | |
void | PathDelete (int pathId) |
Delete the input path id. | |
void | PlotGraph (int viewIndex, const NXOpen::CAE::Post::GraphIds &graphIds, bool overlay) |
Plot or Overlay the input graph specfied by graph_ids. | |
NXOpen::CAE::Xyplot::Plot * | Plotgraphs (int windowIndex, int viewIndex, const std::vector< NXOpen::CAE::PostGraph * > &graphs, bool overlay) |
Plot or overlay CAE::PostGraph objects as XY plot. | |
void | PostviewAnimationControl (int postviewId, NXOpen::CAE::Post::AnimationControl control, int frame, bool fullCycle, int delay) |
Control animation for the input postview id The input postview id is what was returned from CreatePostview or CreatePostviewForResult This interface works only in interactive mode. | |
void | PostviewAnimationControlStreamline (int postviewId, const NXOpen::CAE::Post::AnimationStreamline &control) |
Control streamline animation for the input postview id The input postview id is what was returned from CreatePostview or CreatePostviewForResult. | |
void | PostviewAnimationPlay (int postviewId, const NXOpen::CAE::Post::Animation &animation) |
Play or Replay the animation for the input postview id with the input animation parameters. | |
void | PostviewApplyCsysContainerVisibility (int postviewId, bool visibility) |
Set the visibility of a coordinate system container in the input postview id with immediate effect. | |
void | PostviewApplyCsysVisibility (int postviewId, int id, bool visibility) |
Set the visibility of a coordinate system (id) in the input postview id with immediate effect. | |
void | PostviewApplyGroupContainerVisibility (int postviewId, NXOpen::CAE::Result::GroupContainer container, bool visibility) |
Set the visibility of an element group container in the input postview id with immediate effect. | |
void | PostviewApplyGroupContainerVisibility (int postviewId, const std::vector< NXOpen::CAE::Result::GroupContainer > &container, bool visibility) |
Set the visibility of an element group container(s) in the input postview id with immediate effect. | |
void | PostviewApplyGroupVisibility (int postviewId, NXOpen::CAE::Result::GroupContainer container, int group, bool visibility) |
Set the visibility of an element group (index) within a container (1D, 2D, Connector etc) in the input postview id with immediate effect. | |
void | PostviewApplyGroupVisibility (int postviewId, const std::vector< NXOpen::CAE::Result::GroupContainer > &container, const std::vector< int > &group, bool visibility) |
Set the visibility of an element group(s) (index) within a container (1D, 2D, Connector etc) in the input postview id with immediate effect. | |
void | PostviewApplyShowAll (int postviewId) |
Perform a Show All on the input postview id. | |
void | PostviewApplyTemplate (int postviewId, int templateId) |
Apply a loaded template on the input postview id. | |
void | PostviewApplyTemplateFile (int postviewId, const NXString &xmlFileName) |
Apply a template file on the input postview id. | |
void | PostviewApplyTemplateFile (int postviewId, const char *xmlFileName) |
Apply a template file on the input postview id. | |
void | PostviewApplyUserGroupVisibility (int postviewId, const std::vector< int > &usergroupIds, NXOpen::CAE::Post::GroupVisibility visibility) |
Control visibility of one or more usergroups with immediate effect. | |
void | PostviewCaptureAnimatedGif (int postviewId, const NXString &fileName, bool includeOverlayedPostviews, bool whiteBackground) |
Capture an animated gif image for an input postview id is that is already animating. | |
void | PostviewCaptureAnimatedGif (int postviewId, const char *fileName, bool includeOverlayedPostviews, bool whiteBackground) |
Capture an animated gif image for an input postview id is that is already animating. | |
void | PostviewDelete (int postviewId) |
Delete a postview The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult Created in NX5.0.0. | |
void | PostviewExportDisplay (int postviewId, const NXString &fileName, NXOpen::CAE::Post::Export format, bool ignoreClipping, bool ignoreVisibility) |
Export the display of the input postview id to the specified format. | |
void | PostviewExportDisplay (int postviewId, const char *fileName, NXOpen::CAE::Post::Export format, bool ignoreClipping, bool ignoreVisibility) |
Export the display of the input postview id to the specified format. | |
void | PostviewExportTemplate (int postviewId, const NXString &xmlFileName) |
Save all the setting of the input postview id to a template xml file. | |
void | PostviewExportTemplate (int postviewId, const char *xmlFileName) |
Save all the setting of the input postview id to a template xml file. | |
void | PostviewMarkerOnOff (int postviewId, bool showMarker) |
Set the min-max markers on-off for the input postview id. | |
void | PostviewRename (int postviewId, const NXString &newName) |
Rename a postview. | |
void | PostviewRename (int postviewId, const char *newName) |
Rename a postview. | |
int | PostviewSaveTemplate (int postviewId) |
Save all the setting of the input postview id to a template xml file, capture image, and load template for future use. | |
void | PostviewSetAnnotationBox (int postviewId, const NXOpen::CAE::Post::AnnotationBox &annotationBox) |
Set min-max marker box options in the input postview id. | |
void | PostviewSetAxisymmetric (int postviewId, const NXOpen::CAE::Post::Axisymmetric &axisymmetric) |
Set cutting-plane options in the input postview id. | |
void | PostviewSetClipping (int postviewId, const NXOpen::CAE::Post::Clipping &clipping) |
Set clipping options in the input postview id. | |
void | PostviewSetClipping (int postviewId, NXOpen::CAE::ClippingParameters *clipping) |
Set cutting-plane options in the input postview id. | |
void | PostviewSetColorbar (int postviewId, const NXOpen::CAE::Post::Colorbar &colorbar) |
Set colorbar options in the input postview id. | |
void | PostviewSetColorbar (int postviewId, const NXOpen::CAE::Post::Colorbar &colorbar, bool customOverwrite, const std::vector< double > &rangeValue, const std::vector< NXOpen::NXColor::Rgb > &rangeColors) |
Set color bar options along with custom overwrite options in the input postview id. | |
void | PostviewSetColorDisplayDeformationSynchronization (int postviewId, bool synchronization) |
Set synchronization of the color and deformed display in the input postview id. | |
void | PostviewSetCompression (int postviewId, bool compress, double featureangle, double banddifference) |
Set compression option in the input postview id. | |
void | PostviewSetCriticalLoadIdDisplay (int postviewId, bool displayCriticalLoads) |
Activate or deactivate the laminate critical loadcase id label display for a given post view. | |
void | PostviewSetCriticalPlyIdDisplay (int postviewId, bool displayCriticalPlies) |
Activate or deactivate the laminate critical ply id label display for a given post view. | |
void | PostviewSetCurrentInOverlay (int postviewId) |
Set the input postview id as the current postview if it is one of several overlaid postviews The input postview id is what was returned from CreatePostview or CreatePostviewForResult Created in NX5.0.0. | |
void | PostviewSetDeformation (int postviewId, const NXOpen::CAE::Result::DeformationParameters &deformation) |
Set the result for deformed shape in the input postview id. | |
void | PostviewSetDeformation (int postviewId, NXOpen::CAE::DeformationParameters *deformation) |
Set the result for deformed shape in the input postview id. | |
void | PostviewSetDeformed (int postviewId, bool deformed) |
Set the primary display to be deformed/undeformed in the input postview id. | |
void | PostviewSetDeformedUndeformedSynchronization (int postviewId, bool showDeformedPrimaryDisplay, bool showUndeformedModel, bool synchronizeLoadCaseAndIteration) |
Set the primary display to be deformed/undeformed in the input postview id. | |
void | PostviewSetEdgeFace (int postviewId, const NXOpen::CAE::Post::EdgeFace &primaryEdgeface, const NXOpen::CAE::Post::EdgeFace &undeformedEdgeface) |
Set edge and face styles and colors for both primary and undeformed displays in the input postview id. | |
void | PostviewSetEdgeFace (int postviewId, const NXOpen::CAE::Post::EdgeFace &edgeface) |
Set edge and face styles and colors for primary display in the input postview id. | |
void | PostviewSetFontSize (int postviewId, bool autoFontSize, double fontScale) |
Set font size options in the input postview id. | |
void | PostviewSetFormat (int postviewId, NXOpen::CAE::Post::Format format, int numdecimal) |
Set text formating used for legend and identify in the input postview id. | |
void | PostviewSetGroupContainerVisibility (int postviewId, NXOpen::CAE::Result::GroupContainer container, bool visibility) |
Set the visibility of an element group container in the input postview id. | |
void | PostviewSetGroupVisibility (int postviewId, NXOpen::CAE::Result::GroupContainer container, int group, bool visibility) |
Set the visibility of an element group (index) within a container (1D, 2D, Connector etc) in the input postview id. | |
void | PostviewSetHeaderlines (int postviewId, const std::vector< NXOpen::CAE::Post::Headerlines > &headerlines) |
Set headerlines in the input postview id. | |
void | PostviewSetLegend (int postviewId, bool showLegend, NXOpen::CAE::Post::Legend legend) |
Set legend options in the input postview id. | |
void | PostviewSetLighting (int postviewId, bool lighted) |
Set lighted option in the input postview id. | |
void | PostviewSetMark (int postviewId, const NXOpen::CAE::Post::Mark &mark) |
Set the mark display options in the input postview id. | |
void | PostviewSetMarker (int postviewId, bool showMarker, NXOpen::CAE::Post::Marker marker) |
Set min-max marker options in the input postview id. | |
void | PostviewSetPosition (int postviewId, NXOpen::CAE::Post::Position position) |
Set legend positioning in the input postview id. | |
void | PostviewSetResult (int postviewId, const NXOpen::CAE::Result::ResultParameters &result) |
Set the result for color display in the input postview id. | |
void | PostviewSetResult (int postviewId, NXOpen::CAE::ResultParameters *resultParamter) |
Set the result for color display in the input postview id. | |
void | PostviewSetShowHeader (int postviewId, NXOpen::CAE::Post::ShowHeader showHeader) |
Set show header option in the input postview id. | |
void | PostviewSetStreamline (int postviewId, const NXOpen::CAE::Post::Streamline &streamline) |
Set the streamline display options in the input postview id. | |
void | PostviewSetStreamlineSeedSet (int postviewId, int seedsetId) |
Set the seed set to use for streamline extraction in the input postview id. | |
void | PostviewSetStreamlineVelocity (int postviewId, const NXOpen::CAE::Result::VelocityParameters &velocity) |
Set the velocity field for streamline extraction in the input postview id. | |
void | PostviewSetStreamlineVelocity (int postviewId, NXOpen::CAE::BaseResultType *velocity) |
Set the velocity field for streamline extraction in the input postview id. | |
void | PostviewSetStyle (int postviewId, int showStyle, NXOpen::CAE::Post::Style style) |
Set the fringe style in the input postview id. | |
void | PostviewSetTarget (int postviewId, NXOpen::CAE::Post::Target target) |
Set the target operator in the input postview id. | |
void | PostviewSetText (int postviewId, const NXOpen::CAE::Post::Text &text) |
Set text color used for legend and identify in the input postview id. | |
void | PostviewSetUndeformed (int postviewId, bool undeformed) |
Set the undeformed display in the input postview id. | |
void | PostviewUpdate (int postviewId) |
Make the input postview id up-to-date with all the settings made via PostviewSet* methods so far. | |
void | ReloadTemplates () |
Search and load template xml files Created in NX5.0.0. | |
void | SetFactoryDefaultTemplate () |
Use factory defaults rather than a template for the default postview settings to be used in all subsequent PostviewCreate calls Created in NX5.0.0. | |
void | StreamlineSeedSetDelete (int seedsetId) |
Delete a Seed Set. | |
tag_t | Tag () const |
Returns the tag of this object. | |
void | TemplateDelete (int templateId) |
Delete a loaded template xml file specified by template_id. | |
void | TemplateRename (int templateId, const NXString &newName) |
Rename a loaded template xml file specified by template_id. | |
void | TemplateRename (int templateId, const char *newName) |
Rename a loaded template xml file specified by template_id. | |
int | TemplateSearch (const NXString &name) |
Search for a template handle for loaded template xml file specified by its name. | |
int | TemplateSearch (const char *name) |
Search for a template handle for loaded template xml file specified by its name. | |
void | TemplateSetAsDefault (int templateId) |
Set a loaded template as the default postview settings to be used for all subsequent PostviewCreate calls. | |
void | UnloadResult (int resultId) |
Unload the input result id. | |
void | UnloadResultFile (const NXString &fileName) |
Unload results that use the input file name Created in NX5.0.0. | |
void | UnloadResultFile (const char *fileName) |
Unload results that use the input file name Created in NX5.0.0. | |
void | UpdateUserGroupsFromSimPart (NXOpen::CAE::SimPart *simpart) |
Synchronize the Groups in Post-Processing with those in the Simulation Part Created in NX6.0.0. | |
void | UserGroupDelete (int usergroupId) |
Rename a User Group. | |
void | UserGroupRename (int usergroupId, const NXString &newName) |
Delete a User Group. | |
void | UserGroupRename (int usergroupId, const char *newName) |
Delete a User Group. | |
Represents Post-Processing
To obtain an instance of this class, refer to Session
Created in NX5.0.0.
Animation controls.
Animation styles.
Animation styles.
Animation types.
Axis about which axis symmetric model rotates to create 3D display.
Edge display styles.
Face display styles.
Colorbar format.
Mark color options.
Mark hide options.
Mark locations.
Mark render styles.
Mark size options.
Mark styles for tensors.
Colorbar position.
Colorbar scales.
Streamline color options.
Direction options for streamline extraction.
Streamline line weight options.
Streamline size options.
Streamline display styles.
NXString NXOpen::CAE::Post::CompareDisplayFiles | ( | const NXString & | benchmarkFileName, |
const NXString & | testFileName, | ||
const NXOpen::CAE::Post::ASCIIDiffTolerances & | tolerances | ||
) |
Utility to compare post ascii files.
benchmarkFileName | NOTE: The full Unicode character set is not supported for this parameter. |
testFileName | NOTE: The full Unicode character set is not supported for this parameter. |
tolerances | tolerances |
NXString NXOpen::CAE::Post::CompareDisplayFiles | ( | const char * | benchmarkFileName, |
const char * | testFileName, | ||
const NXOpen::CAE::Post::ASCIIDiffTolerances & | tolerances | ||
) |
Utility to compare post ascii files.
benchmarkFileName | NOTE: The full Unicode character set is not supported for this parameter. |
testFileName | NOTE: The full Unicode character set is not supported for this parameter. |
tolerances | tolerances |
NXOpen::CAE::PostAnnotation* NXOpen::CAE::Post::CreateAnnotation | ( | int | postviewId, |
const NXString & | name, | ||
int | num, | ||
bool | max, | ||
const std::vector< NXString > & | usertext | ||
) |
Creates min/max annotation object.
postviewId | postview id |
name | Annotation name NOTE: The full Unicode character set is not supported for this parameter. |
num | Number of minimum or maximum |
max | true means maximum, false is minimum |
usertext | Additional text in each box |
NXOpen::CAE::PostAnnotation* NXOpen::CAE::Post::CreateAnnotation | ( | int | postviewId, |
const char * | name, | ||
int | num, | ||
bool | max, | ||
const std::vector< NXString > & | usertext | ||
) |
Creates min/max annotation object.
postviewId | postview id |
name | Annotation name NOTE: The full Unicode character set is not supported for this parameter. |
num | Number of minimum or maximum |
max | true means maximum, false is minimum |
usertext | Additional text in each box |
NXOpen::CAE::PostAnnotation* NXOpen::CAE::Post::CreateAnnotation | ( | int | postviewId, |
const NXString & | name, | ||
const std::vector< int > & | entities, | ||
const std::vector< int > & | subEntities, | ||
const std::vector< NXString > & | usertext | ||
) |
Creates entity annotation object.
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
name | Annotation name NOTE: The full Unicode character set is not supported for this parameter. |
entities | List of node or elements |
subEntities | List of nodes for element-nodal result |
usertext | Additional text in each box |
NXOpen::CAE::PostAnnotation* NXOpen::CAE::Post::CreateAnnotation | ( | int | postviewId, |
const char * | name, | ||
const std::vector< int > & | entities, | ||
const std::vector< int > & | subEntities, | ||
const std::vector< NXString > & | usertext | ||
) |
Creates entity annotation object.
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
name | Annotation name NOTE: The full Unicode character set is not supported for this parameter. |
entities | List of node or elements |
subEntities | List of nodes for element-nodal result |
usertext | Additional text in each box |
NXOpen::CAE::PostAnnotation* NXOpen::CAE::Post::CreateAnnotation | ( | int | postviewId, |
const NXString & | name, | ||
const std::vector< int > & | elements, | ||
const std::vector< int > & | nodes, | ||
const std::vector< int > & | elmedgeface, | ||
const std::vector< NXString > & | usertext | ||
) |
Creates entity annotation object.
postviewId | postview id |
name | Annotation name NOTE: The full Unicode character set is not supported for this parameter. |
elements | List of node or elements |
nodes | List of nodes |
elmedgeface | List of super entity(face/edge) for node and elements pick |
usertext | Additional text in each box |
NXOpen::CAE::PostAnnotation* NXOpen::CAE::Post::CreateAnnotation | ( | int | postviewId, |
const char * | name, | ||
const std::vector< int > & | elements, | ||
const std::vector< int > & | nodes, | ||
const std::vector< int > & | elmedgeface, | ||
const std::vector< NXString > & | usertext | ||
) |
Creates entity annotation object.
postviewId | postview id |
name | Annotation name NOTE: The full Unicode character set is not supported for this parameter. |
elements | List of node or elements |
nodes | List of nodes |
elmedgeface | List of super entity(face/edge) for node and elements pick |
usertext | Additional text in each box |
NXOpen::CAE::PostAnnotation* NXOpen::CAE::Post::CreateAnnotation | ( | int | postviewId, |
const NXString & | name, | ||
double | xcoord, | ||
double | ycoord, | ||
const std::vector< NXString > & | usertext | ||
) |
Creates user location box annotation object.
postviewId | postview id |
name | Annotation name NOTE: The full Unicode character set is not supported for this parameter. |
xcoord | Parametric x screen coordinate, varies from 0 to 1 |
ycoord | Parametric y screen coordinate, varies from 0 to 1 |
usertext | Additional text in each box |
NXOpen::CAE::PostAnnotation* NXOpen::CAE::Post::CreateAnnotation | ( | int | postviewId, |
const char * | name, | ||
double | xcoord, | ||
double | ycoord, | ||
const std::vector< NXString > & | usertext | ||
) |
Creates user location box annotation object.
postviewId | postview id |
name | Annotation name NOTE: The full Unicode character set is not supported for this parameter. |
xcoord | Parametric x screen coordinate, varies from 0 to 1 |
ycoord | Parametric y screen coordinate, varies from 0 to 1 |
usertext | Additional text in each box |
int NXOpen::CAE::Post::CreateCrossSectionViewForResult | ( | int | viewIndex, |
int | resultId, | ||
NXOpen::CAE::CrossSectionParameters * | result | ||
) |
Create a new cross-section view with specified result on a loaded result id.
viewIndex | 0 thru 8, viewport number to place cross-section view in |
resultId | result id |
result | result |
NXOpen::CAE::Post::GraphIds NXOpen::CAE::Post::CreateHistoryGraph | ( | int | postviewId, |
const NXString & | name, | ||
const NXOpen::CAE::Post::GraphParameters & | graph, | ||
int | startIteration, | ||
int | endIteration, | ||
int | iterationIncrement, | ||
int | nodeLabel, | ||
const std::vector< double > & | point | ||
) |
Create a graph by extracting data from the input postview id, at the input node label or point, for the input iterations.
Iterations specified as start, end and step. The input postview id is what was returned from CreatePostview or CreatePostviewForResult. The input path id is what was returned from CreatePathFromNodeIds or CreatePathFromPoints. Returns a graph handle that may be used in PlotGraph and Graph* calls
postviewId | postview id |
name | NOTE: The full Unicode character set is not supported for this parameter. |
graph | graph |
startIteration | start iteration |
endIteration | end iteration |
iterationIncrement | iteration increment |
nodeLabel | node label |
point | point |
NXOpen::CAE::Post::GraphIds NXOpen::CAE::Post::CreateHistoryGraph | ( | int | postviewId, |
const char * | name, | ||
const NXOpen::CAE::Post::GraphParameters & | graph, | ||
int | startIteration, | ||
int | endIteration, | ||
int | iterationIncrement, | ||
int | nodeLabel, | ||
const std::vector< double > & | point | ||
) |
Create a graph by extracting data from the input postview id, at the input node label or point, for the input iterations.
Iterations specified as start, end and step. The input postview id is what was returned from CreatePostview or CreatePostviewForResult. The input path id is what was returned from CreatePathFromNodeIds or CreatePathFromPoints. Returns a graph handle that may be used in PlotGraph and Graph* calls
postviewId | postview id |
name | NOTE: The full Unicode character set is not supported for this parameter. |
graph | graph |
startIteration | start iteration |
endIteration | end iteration |
iterationIncrement | iteration increment |
nodeLabel | node label |
point | point |
int NXOpen::CAE::Post::CreatePathFromElemIds | ( | int | postviewId, |
const NXString & | name, | ||
const std::vector< int > & | elemIds | ||
) |
Create a path from an ordered set of element ids on the input postview id.
The input postview id is what was returned from CreatePostview or CreatePostviewForResult. Returns a path handle that maye be used in CreateSpatialGraph and Path* calls @return
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
postviewId | postview id |
name | NOTE: The full Unicode character set is not supported for this parameter. |
elemIds | elem ids |
int NXOpen::CAE::Post::CreatePathFromElemIds | ( | int | postviewId, |
const char * | name, | ||
const std::vector< int > & | elemIds | ||
) |
Create a path from an ordered set of element ids on the input postview id.
The input postview id is what was returned from CreatePostview or CreatePostviewForResult. Returns a path handle that maye be used in CreateSpatialGraph and Path* calls @return
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
postviewId | postview id |
name | NOTE: The full Unicode character set is not supported for this parameter. |
elemIds | elem ids |
int NXOpen::CAE::Post::CreatePathFromNodeIds | ( | int | postviewId, |
const NXString & | name, | ||
const std::vector< int > & | nodeIds | ||
) |
Create a path from an ordered set of node ids on the input postview id.
The input postview id is what was returned from CreatePostview or CreatePostviewForResult. Returns a path handle that maye be used in CreateSpatialGraph and Path* calls @return
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
postviewId | postview id |
name | NOTE: The full Unicode character set is not supported for this parameter. |
nodeIds | node ids |
int NXOpen::CAE::Post::CreatePathFromNodeIds | ( | int | postviewId, |
const char * | name, | ||
const std::vector< int > & | nodeIds | ||
) |
Create a path from an ordered set of node ids on the input postview id.
The input postview id is what was returned from CreatePostview or CreatePostviewForResult. Returns a path handle that maye be used in CreateSpatialGraph and Path* calls @return
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
postviewId | postview id |
name | NOTE: The full Unicode character set is not supported for this parameter. |
nodeIds | node ids |
int NXOpen::CAE::Post::CreatePathFromPoints | ( | int | postviewId, |
const NXString & | name, | ||
const std::vector< double > & | points, | ||
int | numberOfInsertPointsPerSegment | ||
) |
Create a path from an ordered set of points on the input postview id.
The input postview id is what was returned from CreatePostview or CreatePostviewForResult. Returns a path handle that maye be used in CreateSpatialGraph and Path* calls @return
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
postviewId | postview id |
name | NOTE: The full Unicode character set is not supported for this parameter. |
points | points |
numberOfInsertPointsPerSegment | greater than or equal to 0 |
int NXOpen::CAE::Post::CreatePathFromPoints | ( | int | postviewId, |
const char * | name, | ||
const std::vector< double > & | points, | ||
int | numberOfInsertPointsPerSegment | ||
) |
Create a path from an ordered set of points on the input postview id.
The input postview id is what was returned from CreatePostview or CreatePostviewForResult. Returns a path handle that maye be used in CreateSpatialGraph and Path* calls @return
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
postviewId | postview id |
name | NOTE: The full Unicode character set is not supported for this parameter. |
points | points |
numberOfInsertPointsPerSegment | greater than or equal to 0 |
int NXOpen::CAE::Post::CreatePostview | ( | int | viewIndex, |
int | resultId, | ||
bool | overlay | ||
) |
Create a new post view with default settings on a loaded result id.
The result id is what was obtained from LoadImportedResult or LoadSolutionResult. Returns a postview handle that may be used in Postview*, CreatePath* and CreateGraph* calls @return
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
viewIndex | 0 thru 8, viewport number to place postview in |
resultId | result id |
overlay | overlay |
int NXOpen::CAE::Post::CreatePostview | ( | int | viewIndex, |
NXOpen::CAE::Result * | result, | ||
bool | overlay | ||
) |
Create a new post view with default settings on a loaded result id.
The result id is what was obtained from LoadImportedResult or LoadSolutionResult. Returns a postview handle that may be used in Postview*, CreatePath* and CreateGraph* calls @return
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
viewIndex | 0 thru 8, viewport number to place postview in |
result | result |
overlay | overlay |
int NXOpen::CAE::Post::CreatePostviewForResult | ( | int | viewIndex, |
int | resultId, | ||
bool | overlay, | ||
const NXOpen::CAE::Result::ResultParameters & | result | ||
) |
Create a new post view with specified result on a loaded result id.
The result id is what was obtained from LoadImportedResult or LoadSolutionResult. Returns a postview handle that may be used in Postview*, CreatePath* and CreateGraph* calls @link CAE::Result::ResultParameters CAE::Result::ResultParameters@endlink has been replaced by @link CAE::ResultParameters CAE::ResultParameters@endlink This method is replaced by @link CAE::Post::CreatePostviewForResult CAE::Post::CreatePostviewForResult@endlink @return
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
viewIndex | 0 thru 8, viewport number to place postview in |
resultId | result id |
overlay | overlay |
result | result |
int NXOpen::CAE::Post::CreatePostviewForResult | ( | int | viewIndex, |
NXOpen::CAE::Result * | result, | ||
bool | overlay, | ||
NXOpen::CAE::ResultParameters * | resultParamter | ||
) |
Create a new post view with specified result on a loaded result id.
The result id is what was obtained from LoadImportedResult or LoadSolutionResult. Returns a postview handle that may be used in Postview*, CreatePath* and CreateGraph* calls @return
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
viewIndex | 0 thru 8, viewport number to place postview in |
result | result |
overlay | overlay |
resultParamter | result paramter |
void NXOpen::CAE::Post::CreatePostviewsForResultAndSE | ( | int | viewIndex, |
NXOpen::CAE::Result * | result, | ||
NXOpen::CAE::ResultParameters * | resultParamter, | ||
std::vector< int > & | postviewIds | ||
) |
Create a new post view with specified result on a loaded result id.
Also create overlays of any loaded super element results associated with the result id and set the color bar ranges to the viewport displayed. Set the deformation scale to Absolute with a scale factor of 1. The result id is what was obtained from LoadImportedResult or LoadSolutionResult. Returns an array of postview handles that may be used in Postview*, CreatePath* and CreateGraph* calls
Created in NX8.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
viewIndex | 0 thru 8, viewport number to place postview in |
result | result |
resultParamter | result paramter |
postviewIds | postview ids |
NXOpen::CAE::Post::GraphIds NXOpen::CAE::Post::CreateSpatialGraph | ( | int | postviewId, |
const NXString & | name, | ||
const NXOpen::CAE::Post::GraphParameters & | graph, | ||
int | pathId | ||
) |
Create a graph by extracting data from the input postview id, along an input path id The input postview id is what was returned from CreatePostview or CreatePostviewForResult.
The input path id is what was returned from CreatePathFromNodeIds or CreatePathFromPoints. Returns a graph handle that may be used in PlotGraph and Graph* calls @return
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
postviewId | postview id |
name | NOTE: The full Unicode character set is not supported for this parameter. |
graph | graph |
pathId | path id |
NXOpen::CAE::Post::GraphIds NXOpen::CAE::Post::CreateSpatialGraph | ( | int | postviewId, |
const char * | name, | ||
const NXOpen::CAE::Post::GraphParameters & | graph, | ||
int | pathId | ||
) |
Create a graph by extracting data from the input postview id, along an input path id The input postview id is what was returned from CreatePostview or CreatePostviewForResult.
The input path id is what was returned from CreatePathFromNodeIds or CreatePathFromPoints. Returns a graph handle that may be used in PlotGraph and Graph* calls @return
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
postviewId | postview id |
name | NOTE: The full Unicode character set is not supported for this parameter. |
graph | graph |
pathId | path id |
int NXOpen::CAE::Post::CreateStreamlineSeedSet | ( | int | postviewId, |
const NXString & | name, | ||
const std::vector< NXOpen::CAE::Post::StreamlineSeed > & | seeds | ||
) |
Create a seed set that can be used to specify the start points for streamline extraction.
The input postview id is what was returned from CreatePostview or CreatePostviewForResult. Returns a seedset handle that maye be used in StreamlineSeedSet* calls and PostVeiwSetStreamlineSeedSet @return
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
postviewId | postview id |
name | NOTE: The full Unicode character set is not supported for this parameter. |
seeds | seeds |
int NXOpen::CAE::Post::CreateStreamlineSeedSet | ( | int | postviewId, |
const char * | name, | ||
const std::vector< NXOpen::CAE::Post::StreamlineSeed > & | seeds | ||
) |
Create a seed set that can be used to specify the start points for streamline extraction.
The input postview id is what was returned from CreatePostview or CreatePostviewForResult. Returns a seedset handle that maye be used in StreamlineSeedSet* calls and PostVeiwSetStreamlineSeedSet @return
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
postviewId | postview id |
name | NOTE: The full Unicode character set is not supported for this parameter. |
seeds | seeds |
int NXOpen::CAE::Post::CreateUserGroupFromEntityLabels | ( | int | postviewId, |
NXOpen::CAE::CaeGroupCollection::EntityType | entityType, | ||
const std::vector< int > & | labels | ||
) |
Create a User Group using element or node labels.
Returns a usergroup handle that may be used in UserGroup* calls and in PostViewApplyUserGroupVisibility
postviewId | postview id |
entityType | entity type |
labels | labels |
void NXOpen::CAE::Post::CrossSectionViewSetLockRotation | ( | int | postviewId, |
bool | lockRotation | ||
) |
Orients and disables all rotations in the input postview id.
Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreateCrossSectionViewForResult
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
lockRotation | lock rotation |
void NXOpen::CAE::Post::CrossSectionViewSetResult | ( | int | postviewId, |
NXOpen::CAE::CrossSectionParameters * | result | ||
) |
Set the result for color display in the input cross-section view id.
Needs a CrossSectionViewUpdate call to take effect. The input cross-section view id is what was returned from CreateCrossSectionViewForResult
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
result | result |
void NXOpen::CAE::Post::DeleteAllTemplates | ( | ) |
Delete all loaded template xml files
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
void NXOpen::CAE::Post::Deletegraphs | ( | const std::vector< NXOpen::CAE::PostGraph * > & | graphs | ) |
Deletes CAE::PostGraph objects
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
graphs | CAE::PostGraph object list |
void NXOpen::CAE::Post::DeleteViewport | ( | int | viewIndex | ) |
End all post processing activity in the input view port index
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
viewIndex | 0 thru 8, viewport number to remove post displays |
void NXOpen::CAE::Post::GetAnnotations | ( | int | postviewId, |
std::vector< NXOpen::CAE::PostAnnotation * > & | annotation | ||
) |
Gets all CAE::PostAnnotation in this post view
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
annotation | annotation |
std::vector<int> NXOpen::CAE::Post::GetPostviewIds | ( | ) |
Returns the list of current Postview Ids.
void NXOpen::CAE::Post::GetResultForPostview | ( | int | postviewId, |
NXOpen::CAE::Result ** | result, | ||
NXOpen::CAE::ResultParameters ** | resultParamter | ||
) |
Returns the CAE::Result and a copy of the CAE::ResultParameters which define the input postview ID.
Created in NX8.5.2.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview ID |
result | CAE::Result which defines input postview |
resultParamter | a copy of the CAE::ResultParameters which defines input postview, It is user's responsibility to destroy the result parameters object once done using CAE::ResultManager::DeleteResultParameters , in order to free up system resources |
void NXOpen::CAE::Post::GraphDelete | ( | const NXOpen::CAE::Post::GraphIds & | graphIds | ) |
Delete the input graph specfied by graph_ids.
The input graph_ids is what was returned from CreateSpatialGraph or CreateHistoryGraph
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
graphIds | graph ids |
int NXOpen::CAE::Post::LoadImportedResult | ( | const NXString & | resultName, |
const NXString & | fileName, | ||
const std::vector< NXOpen::Unit * > & | units | ||
) |
Load an existing result file that is not associated with a solution.
Returns a result handle that may be used in PostviewCreate* calls @return
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
resultName | NOTE: The full Unicode character set is not supported for this parameter. |
fileName | NOTE: The full Unicode character set is not supported for this parameter. |
units | units |
int NXOpen::CAE::Post::LoadImportedResult | ( | const char * | resultName, |
const char * | fileName, | ||
const std::vector< NXOpen::Unit * > & | units | ||
) |
Load an existing result file that is not associated with a solution.
Returns a result handle that may be used in PostviewCreate* calls @return
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
resultName | NOTE: The full Unicode character set is not supported for this parameter. |
fileName | NOTE: The full Unicode character set is not supported for this parameter. |
units | units |
int NXOpen::CAE::Post::LoadRaEventResult | ( | NXOpen::CAE::ResponseSimulation::RSEvent * | raEvent | ) |
Load results for a Response analysis event.
Returns a result handle that may be used in PostviewCreate* calls @return
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
raEvent | ra event |
int NXOpen::CAE::Post::LoadSolutionResult | ( | NXOpen::CAE::SimSolution * | solution | ) |
Load results for a solution.
Returns a result handle that may be used in PostviewCreate* calls @return
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
solution | solution |
NXString NXOpen::CAE::Post::LoadTemplate | ( | const NXString & | filename, |
const NXString & | name, | ||
int * | templateId | ||
) |
Loads a template xml files from user specified location.
filename | NOTE: The full Unicode character set is not supported for this parameter. |
name | NOTE: The full Unicode character set is not supported for this parameter. |
templateId | template id |
NXString NXOpen::CAE::Post::LoadTemplate | ( | const char * | filename, |
const char * | name, | ||
int * | templateId | ||
) |
Loads a template xml files from user specified location.
filename | NOTE: The full Unicode character set is not supported for this parameter. |
name | NOTE: The full Unicode character set is not supported for this parameter. |
templateId | template id |
void NXOpen::CAE::Post::PathDelete | ( | int | pathId | ) |
Delete the input path id.
The input path id is what was returned from CreatePathFromNodeIds or CreatePathFromPoints
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
pathId | path id |
void NXOpen::CAE::Post::PlotGraph | ( | int | viewIndex, |
const NXOpen::CAE::Post::GraphIds & | graphIds, | ||
bool | overlay | ||
) |
Plot or Overlay the input graph specfied by graph_ids.
The input graph_ids is what was returned from CreateSpatialGraph or CreateHistoryGraph
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
viewIndex | view index |
graphIds | graph ids |
overlay | overlay |
NXOpen::CAE::Xyplot::Plot* NXOpen::CAE::Post::Plotgraphs | ( | int | windowIndex, |
int | viewIndex, | ||
const std::vector< NXOpen::CAE::PostGraph * > & | graphs, | ||
bool | overlay | ||
) |
Plot or overlay CAE::PostGraph objects as XY plot.
windowIndex | Window Index will be -1 for plotting it in main nx window |
viewIndex | View Index |
graphs | CAE::PostGraph object list |
overlay | overlay option |
void NXOpen::CAE::Post::PostviewAnimationControl | ( | int | postviewId, |
NXOpen::CAE::Post::AnimationControl | control, | ||
int | frame, | ||
bool | fullCycle, | ||
int | delay | ||
) |
Control animation for the input postview id The input postview id is what was returned from CreatePostview or CreatePostviewForResult This interface works only in interactive mode.
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
control | control |
frame | frame number to use with control = SetFrame |
fullCycle | to be used with control = FullCycle |
delay | milliseconds, to use with control = Delay |
void NXOpen::CAE::Post::PostviewAnimationControlStreamline | ( | int | postviewId, |
const NXOpen::CAE::Post::AnimationStreamline & | control | ||
) |
Control streamline animation for the input postview id The input postview id is what was returned from CreatePostview or CreatePostviewForResult.
This interface works only in interactive mode.
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
postviewId | postview id |
control | control |
void NXOpen::CAE::Post::PostviewAnimationPlay | ( | int | postviewId, |
const NXOpen::CAE::Post::Animation & | animation | ||
) |
Play or Replay the animation for the input postview id with the input animation parameters.
The input postview id is what was returned from CreatePostview or CreatePostviewForResult This interface works only in interactive mode.
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
animation | animation |
void NXOpen::CAE::Post::PostviewApplyCsysContainerVisibility | ( | int | postviewId, |
bool | visibility | ||
) |
Set the visibility of a coordinate system container in the input postview id with immediate effect.
The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX7.5.1.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
visibility | visibility |
void NXOpen::CAE::Post::PostviewApplyCsysVisibility | ( | int | postviewId, |
int | id, | ||
bool | visibility | ||
) |
Set the visibility of a coordinate system (id) in the input postview id with immediate effect.
The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX7.5.1.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
id | coordinate system id |
visibility | visibility |
void NXOpen::CAE::Post::PostviewApplyGroupContainerVisibility | ( | int | postviewId, |
NXOpen::CAE::Result::GroupContainer | container, | ||
bool | visibility | ||
) |
Set the visibility of an element group container in the input postview id with immediate effect.
The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
container | container |
visibility | visibility |
void NXOpen::CAE::Post::PostviewApplyGroupContainerVisibility | ( | int | postviewId, |
const std::vector< NXOpen::CAE::Result::GroupContainer > & | container, | ||
bool | visibility | ||
) |
Set the visibility of an element group container(s) in the input postview id with immediate effect.
The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
container | container |
visibility | visibility |
void NXOpen::CAE::Post::PostviewApplyGroupVisibility | ( | int | postviewId, |
NXOpen::CAE::Result::GroupContainer | container, | ||
int | group, | ||
bool | visibility | ||
) |
Set the visibility of an element group (index) within a container (1D, 2D, Connector etc) in the input postview id with immediate effect.
The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
container | container |
group | 0 thru number of groups in container - 1 |
visibility | visibility |
void NXOpen::CAE::Post::PostviewApplyGroupVisibility | ( | int | postviewId, |
const std::vector< NXOpen::CAE::Result::GroupContainer > & | container, | ||
const std::vector< int > & | group, | ||
bool | visibility | ||
) |
Set the visibility of an element group(s) (index) within a container (1D, 2D, Connector etc) in the input postview id with immediate effect.
The container and group id array are associated 1 to 1 with each other. The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
container | container |
group | group |
visibility | visibility |
void NXOpen::CAE::Post::PostviewApplyShowAll | ( | int | postviewId | ) |
Perform a Show All on the input postview id.
The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
void NXOpen::CAE::Post::PostviewApplyTemplate | ( | int | postviewId, |
int | templateId | ||
) |
Apply a loaded template on the input postview id.
The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
templateId | template id |
void NXOpen::CAE::Post::PostviewApplyTemplateFile | ( | int | postviewId, |
const NXString & | xmlFileName | ||
) |
Apply a template file on the input postview id.
The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
xmlFileName | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::CAE::Post::PostviewApplyTemplateFile | ( | int | postviewId, |
const char * | xmlFileName | ||
) |
Apply a template file on the input postview id.
The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
xmlFileName | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::CAE::Post::PostviewApplyUserGroupVisibility | ( | int | postviewId, |
const std::vector< int > & | usergroupIds, | ||
NXOpen::CAE::Post::GroupVisibility | visibility | ||
) |
Control visibility of one or more usergroups with immediate effect.
The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
postviewId | postview id |
usergroupIds | usergroup ids |
visibility | visibility |
void NXOpen::CAE::Post::PostviewCaptureAnimatedGif | ( | int | postviewId, |
const NXString & | fileName, | ||
bool | includeOverlayedPostviews, | ||
bool | whiteBackground | ||
) |
Capture an animated gif image for an input postview id is that is already animating.
The input postview id is what was returned from CreatePostview or CreatePostviewForResult This interface works only in interactive mode.
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
fileName | NOTE: The full Unicode character set is not supported for this parameter. |
includeOverlayedPostviews | include overlayed postviews |
whiteBackground | white background |
void NXOpen::CAE::Post::PostviewCaptureAnimatedGif | ( | int | postviewId, |
const char * | fileName, | ||
bool | includeOverlayedPostviews, | ||
bool | whiteBackground | ||
) |
Capture an animated gif image for an input postview id is that is already animating.
The input postview id is what was returned from CreatePostview or CreatePostviewForResult This interface works only in interactive mode.
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
fileName | NOTE: The full Unicode character set is not supported for this parameter. |
includeOverlayedPostviews | include overlayed postviews |
whiteBackground | white background |
void NXOpen::CAE::Post::PostviewDelete | ( | int | postviewId | ) |
Delete a postview The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
void NXOpen::CAE::Post::PostviewExportDisplay | ( | int | postviewId, |
const NXString & | fileName, | ||
NXOpen::CAE::Post::Export | format, | ||
bool | ignoreClipping, | ||
bool | ignoreVisibility | ||
) |
Export the display of the input postview id to the specified format.
VRML is not yet supported. The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
fileName | NOTE: The full Unicode character set is not supported for this parameter. |
format | format |
ignoreClipping | ignore clipping |
ignoreVisibility | ignore visibility |
void NXOpen::CAE::Post::PostviewExportDisplay | ( | int | postviewId, |
const char * | fileName, | ||
NXOpen::CAE::Post::Export | format, | ||
bool | ignoreClipping, | ||
bool | ignoreVisibility | ||
) |
Export the display of the input postview id to the specified format.
VRML is not yet supported. The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
fileName | NOTE: The full Unicode character set is not supported for this parameter. |
format | format |
ignoreClipping | ignore clipping |
ignoreVisibility | ignore visibility |
void NXOpen::CAE::Post::PostviewExportTemplate | ( | int | postviewId, |
const NXString & | xmlFileName | ||
) |
Save all the setting of the input postview id to a template xml file.
no image capture. xml file is not loaded, and can be reused only via PostviewApplyTemplateFile The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
xmlFileName | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::CAE::Post::PostviewExportTemplate | ( | int | postviewId, |
const char * | xmlFileName | ||
) |
Save all the setting of the input postview id to a template xml file.
no image capture. xml file is not loaded, and can be reused only via PostviewApplyTemplateFile The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
xmlFileName | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::CAE::Post::PostviewMarkerOnOff | ( | int | postviewId, |
bool | showMarker | ||
) |
Set the min-max markers on-off for the input postview id.
The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
showMarker | show marker |
void NXOpen::CAE::Post::PostviewRename | ( | int | postviewId, |
const NXString & | newName | ||
) |
Rename a postview.
The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
newName | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::CAE::Post::PostviewRename | ( | int | postviewId, |
const char * | newName | ||
) |
Rename a postview.
The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
newName | NOTE: The full Unicode character set is not supported for this parameter. |
int NXOpen::CAE::Post::PostviewSaveTemplate | ( | int | postviewId | ) |
Save all the setting of the input postview id to a template xml file, capture image, and load template for future use.
The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult. Returns a template handle that may be used in PostviewApplyTemplate and Template* calls @return
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
void NXOpen::CAE::Post::PostviewSetAnnotationBox | ( | int | postviewId, |
const NXOpen::CAE::Post::AnnotationBox & | annotationBox | ||
) |
Set min-max marker box options in the input postview id.
Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
annotationBox | annotation box |
void NXOpen::CAE::Post::PostviewSetAxisymmetric | ( | int | postviewId, |
const NXOpen::CAE::Post::Axisymmetric & | axisymmetric | ||
) |
Set cutting-plane options in the input postview id.
Needs a PostviewUpdate call to take effect. In addition, needs to have CAE::Post::Target set to CAE::Post::TargetAxisSymmetry3D The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX8.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
axisymmetric | axisymmetric |
void NXOpen::CAE::Post::PostviewSetClipping | ( | int | postviewId, |
const NXOpen::CAE::Post::Clipping & | clipping | ||
) |
Set clipping options in the input postview id.
Needs a PostviewUpdate call to take effect. In addition, needs to have the CAE::Post::Target set to CAE::Post::TargetCuttingPlane for the model to appear clipped. CAE::Post::Clipping has been replaced by CAE::ClippingParameters The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
clipping | clipping |
void NXOpen::CAE::Post::PostviewSetClipping | ( | int | postviewId, |
NXOpen::CAE::ClippingParameters * | clipping | ||
) |
Set cutting-plane options in the input postview id.
Needs a PostviewUpdate call to take effect. In addition, needs to have the Target set to CuttingPlane for the model to appear clipped. The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX7.5.1.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
clipping | clipping |
void NXOpen::CAE::Post::PostviewSetColorbar | ( | int | postviewId, |
const NXOpen::CAE::Post::Colorbar & | colorbar | ||
) |
Set colorbar options in the input postview id.
Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
colorbar | colorbar |
void NXOpen::CAE::Post::PostviewSetColorbar | ( | int | postviewId, |
const NXOpen::CAE::Post::Colorbar & | colorbar, | ||
bool | customOverwrite, | ||
const std::vector< double > & | rangeValue, | ||
const std::vector< NXOpen::NXColor::Rgb > & | rangeColors | ||
) |
Set color bar options along with custom overwrite options in the input postview id.
Created in NX7.5.2.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | Post view id. |
colorbar | Color bar. |
customOverwrite | custom overwrite |
rangeValue | Range values. |
rangeColors | Range colors. |
void NXOpen::CAE::Post::PostviewSetColorDisplayDeformationSynchronization | ( | int | postviewId, |
bool | synchronization | ||
) |
Set synchronization of the color and deformed display in the input postview id.
Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
synchronization | synchronization |
void NXOpen::CAE::Post::PostviewSetCompression | ( | int | postviewId, |
bool | compress, | ||
double | featureangle, | ||
double | banddifference | ||
) |
Set compression option in the input postview id.
Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX8.0.1.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
compress | true - This option will compress the memory needed for displaying the model.Option will draw the model as one connected set. false - This option will draw the each element as separatly to improve the quality of the display |
featureangle | Angle is used to determine if the element edge is feature edge or not. If angle between the elements under consideration is more than the given angle then separete element normal are used for drawing the faces |
banddifference | Value is used check edge vertices result values comparision in case element-nodal and elemental display. If the value of the vertices are in same band then the differnce between those values should less than differnce of the banddifference mentioned. If the difference is more than this value then those will be considered as difference vertices |
void NXOpen::CAE::Post::PostviewSetCriticalLoadIdDisplay | ( | int | postviewId, |
bool | displayCriticalLoads | ||
) |
Activate or deactivate the laminate critical loadcase id label display for a given post view.
The critical loadcase id display is only supported for CAE::LaminateGraphicalReport results, for specific datasets.
Created in NX9.0.0.
License requirements : nx_lam_composites ("Laminate Composites")
postviewId | Id of the post view on which the display is to be (de)activated |
displayCriticalLoads | If true, the critical loadcase ids will be displayed on elements |
void NXOpen::CAE::Post::PostviewSetCriticalPlyIdDisplay | ( | int | postviewId, |
bool | displayCriticalPlies | ||
) |
Activate or deactivate the laminate critical ply id label display for a given post view.
The critical ply id display is only supported for CAE::LaminateGraphicalReport results, for specific datasets.
Created in NX8.5.0.
License requirements : nx_lam_composites ("Laminate Composites")
postviewId | Id of the post view on which the display is to be (de)activated |
displayCriticalPlies | If true, the critical ply ids will be displayed on elements |
void NXOpen::CAE::Post::PostviewSetCurrentInOverlay | ( | int | postviewId | ) |
Set the input postview id as the current postview if it is one of several overlaid postviews The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
void NXOpen::CAE::Post::PostviewSetDeformation | ( | int | postviewId, |
const NXOpen::CAE::Result::DeformationParameters & | deformation | ||
) |
Set the result for deformed shape in the input postview id.
Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult CAE::Result::DeformationParameters has been replaced by CAE::DeformationParameters This method is replaced by CAE::Post::PostviewSetDeformation
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
deformation | deformation |
void NXOpen::CAE::Post::PostviewSetDeformation | ( | int | postviewId, |
NXOpen::CAE::DeformationParameters * | deformation | ||
) |
Set the result for deformed shape in the input postview id.
Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
deformation | deformation |
void NXOpen::CAE::Post::PostviewSetDeformed | ( | int | postviewId, |
bool | deformed | ||
) |
Set the primary display to be deformed/undeformed in the input postview id.
Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
deformed | deformed |
void NXOpen::CAE::Post::PostviewSetDeformedUndeformedSynchronization | ( | int | postviewId, |
bool | showDeformedPrimaryDisplay, | ||
bool | showUndeformedModel, | ||
bool | synchronizeLoadCaseAndIteration | ||
) |
Set the primary display to be deformed/undeformed in the input postview id.
Specify any additional undeformed display and whether the load case and iteration are to sunchronized for the color display and deformed shape. Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
showDeformedPrimaryDisplay | show deformed primary display |
showUndeformedModel | show undeformed model |
synchronizeLoadCaseAndIteration | synchronize load case and iteration |
void NXOpen::CAE::Post::PostviewSetEdgeFace | ( | int | postviewId, |
const NXOpen::CAE::Post::EdgeFace & | primaryEdgeface, | ||
const NXOpen::CAE::Post::EdgeFace & | undeformedEdgeface | ||
) |
Set edge and face styles and colors for both primary and undeformed displays in the input postview id.
Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
primaryEdgeface | primary edgeface |
undeformedEdgeface | undeformed edgeface |
void NXOpen::CAE::Post::PostviewSetEdgeFace | ( | int | postviewId, |
const NXOpen::CAE::Post::EdgeFace & | edgeface | ||
) |
Set edge and face styles and colors for primary display in the input postview id.
Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreateCrossSectionViewForResult
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
edgeface | edgeface |
void NXOpen::CAE::Post::PostviewSetFontSize | ( | int | postviewId, |
bool | autoFontSize, | ||
double | fontScale | ||
) |
Set font size options in the input postview id.
Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult
Created in NX8.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
autoFontSize | auto font size |
fontScale | font scale |
void NXOpen::CAE::Post::PostviewSetFormat | ( | int | postviewId, |
NXOpen::CAE::Post::Format | format, | ||
int | numdecimal | ||
) |
Set text formating used for legend and identify in the input postview id.
The other options are not yet supported. Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
format | format |
numdecimal | numdecimal |
void NXOpen::CAE::Post::PostviewSetGroupContainerVisibility | ( | int | postviewId, |
NXOpen::CAE::Result::GroupContainer | container, | ||
bool | visibility | ||
) |
Set the visibility of an element group container in the input postview id.
Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
container | container |
visibility | visibility |
void NXOpen::CAE::Post::PostviewSetGroupVisibility | ( | int | postviewId, |
NXOpen::CAE::Result::GroupContainer | container, | ||
int | group, | ||
bool | visibility | ||
) |
Set the visibility of an element group (index) within a container (1D, 2D, Connector etc) in the input postview id.
Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
container | container |
group | 0 thru number of groups in container - 1 |
visibility | visibility |
void NXOpen::CAE::Post::PostviewSetHeaderlines | ( | int | postviewId, |
const std::vector< NXOpen::CAE::Post::Headerlines > & | headerlines | ||
) |
Set headerlines in the input postview id.
Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
headerlines | headerlines |
void NXOpen::CAE::Post::PostviewSetLegend | ( | int | postviewId, |
bool | showLegend, | ||
NXOpen::CAE::Post::Legend | legend | ||
) |
Set legend options in the input postview id.
Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
showLegend | show legend |
legend | legend |
void NXOpen::CAE::Post::PostviewSetLighting | ( | int | postviewId, |
bool | lighted | ||
) |
Set lighted option in the input postview id.
Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX8.0.1.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
lighted | If true fringe display is drawn with the lighting setting provided in view setting if false fringe display drawn with the color set color without botherring about surface normal and view angle |
void NXOpen::CAE::Post::PostviewSetMark | ( | int | postviewId, |
const NXOpen::CAE::Post::Mark & | mark | ||
) |
Set the mark display options in the input postview id.
Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
mark | mark |
void NXOpen::CAE::Post::PostviewSetMarker | ( | int | postviewId, |
bool | showMarker, | ||
NXOpen::CAE::Post::Marker | marker | ||
) |
Set min-max marker options in the input postview id.
Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
showMarker | show marker |
marker | marker |
void NXOpen::CAE::Post::PostviewSetPosition | ( | int | postviewId, |
NXOpen::CAE::Post::Position | position | ||
) |
Set legend positioning in the input postview id.
The other options are not yet supported. Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
position | position |
void NXOpen::CAE::Post::PostviewSetResult | ( | int | postviewId, |
const NXOpen::CAE::Result::ResultParameters & | result | ||
) |
Set the result for color display in the input postview id.
Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult CAE::Result::ResultParameters has been replaced by CAE::ResultParameters This method is replaced by CAE::Post::PostviewSetResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
result | result |
void NXOpen::CAE::Post::PostviewSetResult | ( | int | postviewId, |
NXOpen::CAE::ResultParameters * | resultParamter | ||
) |
Set the result for color display in the input postview id.
Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
resultParamter | result paramter |
void NXOpen::CAE::Post::PostviewSetShowHeader | ( | int | postviewId, |
NXOpen::CAE::Post::ShowHeader | showHeader | ||
) |
Set show header option in the input postview id.
Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
showHeader | show header |
void NXOpen::CAE::Post::PostviewSetStreamline | ( | int | postviewId, |
const NXOpen::CAE::Post::Streamline & | streamline | ||
) |
Set the streamline display options in the input postview id.
Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
postviewId | postview id |
streamline | streamline |
void NXOpen::CAE::Post::PostviewSetStreamlineSeedSet | ( | int | postviewId, |
int | seedsetId | ||
) |
Set the seed set to use for streamline extraction in the input postview id.
Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
postviewId | postview id |
seedsetId | seedset id |
void NXOpen::CAE::Post::PostviewSetStreamlineVelocity | ( | int | postviewId, |
const NXOpen::CAE::Result::VelocityParameters & | velocity | ||
) |
Set the velocity field for streamline extraction in the input postview id.
Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult CAE::Result::VelocityParameters is no longer been supported This method is replaced by CAE::Post::PostviewSetStreamlineVelocity
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
postviewId | postview id |
velocity | velocity |
void NXOpen::CAE::Post::PostviewSetStreamlineVelocity | ( | int | postviewId, |
NXOpen::CAE::BaseResultType * | velocity | ||
) |
Set the velocity field for streamline extraction in the input postview id.
Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
postviewId | postview id |
velocity | velocity |
void NXOpen::CAE::Post::PostviewSetStyle | ( | int | postviewId, |
int | showStyle, | ||
NXOpen::CAE::Post::Style | style | ||
) |
Set the fringe style in the input postview id.
Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
showStyle | show style |
style | style |
void NXOpen::CAE::Post::PostviewSetTarget | ( | int | postviewId, |
NXOpen::CAE::Post::Target | target | ||
) |
Set the target operator in the input postview id.
Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
target | target |
void NXOpen::CAE::Post::PostviewSetText | ( | int | postviewId, |
const NXOpen::CAE::Post::Text & | text | ||
) |
Set text color used for legend and identify in the input postview id.
The other options are not yet supported. Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
text | text |
void NXOpen::CAE::Post::PostviewSetUndeformed | ( | int | postviewId, |
bool | undeformed | ||
) |
Set the undeformed display in the input postview id.
Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
undeformed | undeformed |
void NXOpen::CAE::Post::PostviewUpdate | ( | int | postviewId | ) |
Make the input postview id up-to-date with all the settings made via PostviewSet* methods so far.
The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
postviewId | postview id |
void NXOpen::CAE::Post::ReloadTemplates | ( | ) |
Search and load template xml files
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
void NXOpen::CAE::Post::SetFactoryDefaultTemplate | ( | ) |
Use factory defaults rather than a template for the default postview settings to be used in all subsequent PostviewCreate calls
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
void NXOpen::CAE::Post::StreamlineSeedSetDelete | ( | int | seedsetId | ) |
Delete a Seed Set.
The input seedset id is what was returned from @link CAE::Post::CreateStreamlineSeedSet CAE::Post::CreateStreamlineSeedSet@endlink
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
seedsetId | seedset id |
tag_t NXOpen::CAE::Post::Tag | ( | ) | const |
Returns the tag of this object.
void NXOpen::CAE::Post::TemplateDelete | ( | int | templateId | ) |
Delete a loaded template xml file specified by template_id.
The input template_id is what was returned from PostviewSaveTemplate or TemplateSearch
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
templateId | template id |
void NXOpen::CAE::Post::TemplateRename | ( | int | templateId, |
const NXString & | newName | ||
) |
Rename a loaded template xml file specified by template_id.
The input template_id is what was returned from PostviewSaveTemplate or TemplateSearch
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
templateId | template id |
newName | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::CAE::Post::TemplateRename | ( | int | templateId, |
const char * | newName | ||
) |
Rename a loaded template xml file specified by template_id.
The input template_id is what was returned from PostviewSaveTemplate or TemplateSearch
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
templateId | template id |
newName | NOTE: The full Unicode character set is not supported for this parameter. |
int NXOpen::CAE::Post::TemplateSearch | ( | const NXString & | name | ) |
Search for a template handle for loaded template xml file specified by its name.
Returns a template handle that may be used in PostviewApplyTemplate and Template* calls @return
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
name | NOTE: The full Unicode character set is not supported for this parameter. |
int NXOpen::CAE::Post::TemplateSearch | ( | const char * | name | ) |
Search for a template handle for loaded template xml file specified by its name.
Returns a template handle that may be used in PostviewApplyTemplate and Template* calls @return
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
name | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::CAE::Post::TemplateSetAsDefault | ( | int | templateId | ) |
Set a loaded template as the default postview settings to be used for all subsequent PostviewCreate calls.
The input template_id is what was returned from PostviewSaveTemplate or TemplateSearch
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
templateId | template id |
void NXOpen::CAE::Post::UnloadResult | ( | int | resultId | ) |
Unload the input result id.
The result id is what was obtained from LoadImportedResult or LoadSolutionResult
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
resultId | result id |
void NXOpen::CAE::Post::UnloadResultFile | ( | const NXString & | fileName | ) |
Unload results that use the input file name
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
fileName | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::CAE::Post::UnloadResultFile | ( | const char * | fileName | ) |
Unload results that use the input file name
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
fileName | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::CAE::Post::UpdateUserGroupsFromSimPart | ( | NXOpen::CAE::SimPart * | simpart | ) |
Synchronize the Groups in Post-Processing with those in the Simulation Part
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
simpart | simpart |
void NXOpen::CAE::Post::UserGroupDelete | ( | int | usergroupId | ) |
Rename a User Group.
The input usergroup id is what was returned from CreateUserGroupFromEntityLabels
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
usergroupId | usergroup id |
void NXOpen::CAE::Post::UserGroupRename | ( | int | usergroupId, |
const NXString & | newName | ||
) |
Delete a User Group.
The input usergroup id is what was returned from CreateUserGroupFromEntityLabels
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
usergroupId | usergroup id |
newName | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::CAE::Post::UserGroupRename | ( | int | usergroupId, |
const char * | newName | ||
) |
Delete a User Group.
The input usergroup id is what was returned from CreateUserGroupFromEntityLabels
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
usergroupId | usergroup id |
newName | NOTE: The full Unicode character set is not supported for this parameter. |